package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("deletion_type_statistics")
public class DeletionTypeStatisticsDO {

    @TableId(value = "id", type= IdType.AUTO)
    private Integer id;

    @TableField(value = "fund_id")
    private String fundId;

    @TableField(value = "deletion_type")
    private Integer deletionType;

    @TableField(value = "deletion_num")
    private Integer deletionNum;

    @TableField(value = "processed_num")
    private Integer processedNum;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;

    @TableField(value = "last_deletion_date")
    private String lastDeletionDate;
}
